---@meta

---@class ABP_Interactable_PowerJackPole_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field BP_PrevisActorComponent UBP_PrevisActorComponent_C
---@field Box UBoxComponent
---@field SM_PowerJackPole_Arm UStaticMeshComponent
---@field PowerJack UStaticMeshComponent
---@field Timer FTimerHandle
---@field Increment double
---@field Elevation double
---@field ActivateElevatorEffects boolean
---@field WinchPoleHit FHitResult
---@field Installed boolean
---@field JackPoleSFX UAudioComponent
---@field AttachmentPrevisActor ABP_Previs_C
---@field ['Not Allowed to Place on Actors'] TArray<TSubclassOf<AActor>>
local ABP_Interactable_PowerJackPole_C = {}

---@return boolean
function ABP_Interactable_PowerJackPole_C:AllowWinchAttach() end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HoldTime double
---@param Success boolean
function ABP_Interactable_PowerJackPole_C:TryToDropThisActor(PlayerCharacter, HoldTime, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Interactable_PowerJackPole_C:TryToPickupThisActor(PlayerCharacter, Success) end
function ABP_Interactable_PowerJackPole_C:StopJackPoleSFX() end
function ABP_Interactable_PowerJackPole_C:ActivateJackPoleSFX() end
---@param Success boolean
function ABP_Interactable_PowerJackPole_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
function ABP_Interactable_PowerJackPole_C:SetPickedUpPhysicsState(Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Interactable_PowerJackPole_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
function ABP_Interactable_PowerJackPole_C:UpdateWinchPole() end
function ABP_Interactable_PowerJackPole_C:OnRep_WinchPoleHit() end
---@param Surface EPhysicalSurface
---@param ImpactLocation FVector
function ABP_Interactable_PowerJackPole_C:PlaySoundAtImpact(Surface, ImpactLocation) end
---@param Success boolean
function ABP_Interactable_PowerJackPole_C:ShouldUseHoldTransform(Success) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_PowerJackPole_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
function ABP_Interactable_PowerJackPole_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function ABP_Interactable_PowerJackPole_C:ReceiveTick(DeltaSeconds) end
function ABP_Interactable_PowerJackPole_C:MoveJack() end
function ABP_Interactable_PowerJackPole_C:Raise() end
function ABP_Interactable_PowerJackPole_C:Lower() end
---@param PowerJackPoleHit FHitResult
function ABP_Interactable_PowerJackPole_C:SetPowerJackPole(PowerJackPoleHit) end
function ABP_Interactable_PowerJackPole_C:Multicast_CollapsePowerPole() end
---@param EntryPoint int32
function ABP_Interactable_PowerJackPole_C:ExecuteUbergraph_BP_Interactable_PowerJackPole(EntryPoint) end


